Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.apache.xerces.dom
Class NodeIteratorImpl

    java.lang.Object
      weblogic.apache.xerces.dom.NodeIteratorImpl

All Implemented Interfaces:
  NodeIterator

Deprecated. please use JDK supplied XML parsers and transformers

public class NodeIteratorImpl
extends Object
implements NodeIterator

DefaultNodeIterator implements a NodeIterator, which iterates a DOM tree in the expected depth first way.

The whatToShow and filter functionality is implemented as expected.

This class also has method removeNode to enable iterator "fix-up" on DOM remove. It is expected that the DOM implementation call removeNode right before the actual DOM transformation. If not called by the DOM, the client could call it before doing the removal.

Constructor Summary
`NodeIteratorImpl(DocumentImpl document, Node root, int whatToShow, NodeFilter nodeFilter, boolean entityReferenceExpansion)` Deprecated. Public constructor

Method Summary
`void` | `detach()` Deprecated.
`boolean` | `getExpandEntityReferences()` Deprecated. Return whether children entity references are included in the iterator.
`NodeFilter` | `getFilter()` Deprecated. Return the filter
`Node` | `getRoot()` Deprecated.
`int` | `getWhatToShow()` Deprecated. Return the whatToShow value
`Node` | `nextNode()` Deprecated. Return the next Node in the Iterator.
`Node` | `previousNode()` Deprecated. Return the previous Node in the Iterator.
`void` | `removeNode(Node node)` Deprecated. Fix-up the iterator on a remove.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NodeIteratorImpl

    public NodeIteratorImpl(DocumentImpl document,
                            Node root,
                            int whatToShow,
                            NodeFilter nodeFilter,
                            boolean entityReferenceExpansion)

  Deprecated.
  Public constructor

Method Detail

### detach

    public void detach()

  Deprecated.
  Specified by:
    `detach` in interface `NodeIterator`

### getExpandEntityReferences

    public boolean getExpandEntityReferences()

  Deprecated.
  Return whether children entity references are included in the iterator.

  Specified by:
    `getExpandEntityReferences` in interface `NodeIterator`

### getFilter

    public NodeFilter getFilter()

  Deprecated.
  Return the filter

  Specified by:
    `getFilter` in interface `NodeIterator`

### getRoot

    public Node getRoot()

  Deprecated.
  Specified by:
    `getRoot` in interface `NodeIterator`

### getWhatToShow

    public int getWhatToShow()

  Deprecated.
  Return the whatToShow value

  Specified by:
    `getWhatToShow` in interface `NodeIterator`

### nextNode

    public Node nextNode()

  Deprecated.
  Return the next Node in the Iterator. The node is the next node in depth-first order which also passes the filter, and whatToShow. If there is no next node which passes these criteria, then return null.

  Specified by:
    `nextNode` in interface `NodeIterator`

### previousNode

    public Node previousNode()

  Deprecated.
  Return the previous Node in the Iterator. The node is the next node in _backwards_ depth-first order which also passes the filter, and whatToShow.

  Specified by:
    `previousNode` in interface `NodeIterator`

### removeNode

    public void removeNode(Node node)

  Deprecated.
  Fix-up the iterator on a remove. Called by DOM or otherwise, before an actual DOM remove.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD